$eolcom #

set i "vsi pridelki" /psen1, psen2, koru1, koru2, krom1, zkrm2, jecm1, jecm2, trav2, trit2, stro2, zele1, sadj1, groz1/
rastl(i) "rastlinska hrana za ljudi" /psen1, koru1, krom1, jecm1, zele1, sadj1, groz1/
rastz(i) "rastlinska hrana za zivali" /psen2, koru2, zkrm2, jecm2, trav2, trit2, stro2/
rastui(i) "rastlinska hrana za izvoz uvoz" /psen1, psen2, koru1, koru2, krom1, jecm1, jecm2,zele1, sadj1, groz1/
set j "hrana zivalskega izvora" /gov, svin, pisc, drob, mleko, jajce/
*meso(j) "meso in mesni izdelki" /gov, svin, pisc, drob/
*vegi(j) "mleko in mlecni izdelki ter jajce" /mleko, jajce/;
set k vrsta kmetijstva /konv, ekol, ohra, rast/;
set m izvor zivih zivali /zakol, uvoz, izvoz/;
set p nutrienti /protein, carb, fat, alc/;
set r ekonomski podatki /cenaSLO, cenaEU, strosek/;
set s stopnje prehranske verige /pip, dit, gis, gosp/;

table  don(i,k) hektarski pridelek t na ha
           konv       ekol          ohra       rast
psen1      5.30       2.65          5.04       0
koru1      9.75       4.88          9.26       0
krom1      25.80      12.90         24.51      0
psen2      5.30       2.65          5.04       0
koru2      9.75       4.88          9.26       0
zkrm2      25.35      12.68         24.08      0
jecm1      4.98       2.49          4.73       0
jecm2      4.98       2.49          4.73       0
trav2      5.80       2.90          0          0       #predpostavljeno ni vrednosti
trit2      4.75       2.38          4.51       0
stro2      2.33       1.16          2.21       0
zele1      18.93      9.46          17.98      56.78   #prej konv 18.45  rast predpostavila da je 3x vec kot konv
sadj1      16.70      8.35          15.87      0
groz1      6.85       3.43          6.51       0       #prej konv 9.23
;

parameter TGPr(i,k) emisije za rastlinsko pridelavo t CO2 na t;
TGPr(i,'konv')=0.1;
TGPr(i,'ekol')=0.08;
TGPr(i,'ohra')=0.09;
TGPr(i,'rast')=0.1;

parameter TGPm(j) emisije za prirejo mesa t CO2 na t;
TGPm('gov')=10.63;
TGPm('svin')=1.22;
TGPm('pisc')=0.232;   #piscanec prispeva 0.7 od vseh emisij perutnine
TGPm('drob')=11.35;
TGPm('mleko')=0.816;
TGPm('jajce')=0.283;  #jajce prispevajo 0.3 od vseh emisij perutnine

parameter Npreb stevilo prebivalcev ;
*Npreb=2066972;
*Npreb=2153684;  # napoved 2030
Npreb=2252987;  # napoved 2050
scalar faktoruv najvecji delez uvoza /0.4/, faktoriz najvecji delez izvoza /0.1/;

parameter Nmineral delez dusika v mineralnem gnojilu ;
*Nmineral = 0.208;
Nmineral = 0.159;

parameter porabar(rastl) kg rastlinske hrane na osebo na leto;
porabar('psen1')=74.20/0.739;
porabar('koru1')=8.03/0.701;
porabar('krom1')=63.93;
porabar('jecm1')=0.73/0.756;
porabar('zele1')=115.68;
porabar('sadj1')=129.48;
porabar('groz1')=50.18;

parameter porabam(j) poraba mesa kg mesa na osebo na leto;
porabam('gov')=20.03;
porabam('svin')=34.98;
porabam('pisc')=31.08;
porabam('drob')=0.90;
porabam('mleko')=209.95;
porabam('jajce')=10.95;

parameter porabavse;
porabavse=sum(rastl,porabar(rastl))+sum(j,porabam(j));
display porabavse;
display porabam;

table trup(j,m)
         zakol            uvoz            izvoz
gov      0.3055           0.14714         0.32195
svin     0.09677          0.02210         0.08487
pisc     0.00181          0.00005         0.00179
drob     0.01433          0               0
*;
mleko    6.25050          0               0
jajce    0.01424          0               0          #pri jajcih tevilo jajc krat tea jajc letno
;

*parameter proizvegi (vegi) proizvodnja mleka oz. jajc na eno kravo oz. koko;
*proizvegi('mleko')=5.9202;
*proizvegi('jajce')=0.01423;

table konvfakt(rastz,j)
        gov      svin     pisc     drob        mleko        Jajce
psen2   0        0.10     0         0          0            1.36
koru2   2.52     2.18     1.23      0          0.08         0.40
zkrm2   24.23    0        0         0          0.67         0
jecm2   1.59     0.76     0         0          0.06         0
trav2   4.30     0        0         9.02       2.94         0
trit2   0        0.43     0         0          0            0
stro2   0        0.17     0.71      0          0            0.59
;

table ekonr (i,r)
         cenaSLO          cenaEU           strosek
psen1    194.69           214.16           169.66      #cena eu so 110 % cen v slo
psen2    0                0                169.66
koru1    179.38           197.32           167.70
koru2    0                0                167.70
krom1    300.62           330.68           213.06
zkrm2    0                0                53.73
jecm1    170.31           187.34           170.18
jecm2    0                0                170.18
trav2    0                0                61.39
trit2    0                0                167.60        #PREDPOSTAVLJENO ENAKO KOT KORUZA
stro2    0                0                480.00        #predpostavljeno za starter
zele1    965.16           1061.67          569.34
sadj1    530.59           583.65           485.82
groz1    568.00           624.80           979.11
;

table ekonm (j,r)
         cenaSLO          cenaEU           strosek
gov      3301.68          3682.25          4241.05
svin     1680.33          1535.60          1704.25
pisc     2153.28          1895.73          1222.44
drob     5523.43          5772.95          10439.42
mleko    343.60           311.30           371.43           #ZA MLEKO eu PREDPOSTAVLJENO 110 %
jajce    1933.33          2126.67          1630.73
;

parameter ATOT skupna povrsina ha /472877/;


table uporgnoj(i,k)  kolicina uporabljenih gnojil tona na hektar
$ontext
         konv          ekol         ohra            rast       #rast predpostavljeno isto kot konv
psen1    0.528         0            0.264           0
psen2    0.528         0            0.264           0
koru1    0.516         0            0.258           0
koru2    0.516         0            0.258           0
krom1    0.317         0            0.185           0
zkrm2    0.321         0            0.160           0
jecm1    0.352         0            0.176           0
jecm2    0.352         0            0.176           0
trav2    0.089         0            0               0          # ni vrednosti
trit2    0.306         0            0.153           0
stro2    0.121         0            0.061           0
zele1    0.230         0            0.115           0.230      #isti kot pri konv
sadj1    0.121         0            0.061           0
groz1    0.113         0            0.057           0
;
$offtext

         konv          ekol         ohra            rast       #rast predpostavljeno isto kot konv
psen1    0.692         0            0.346           0
psen2    0.692         0            0.346           0
koru1    0.677         0            0.338           0
koru2    0.677         0            0.338           0
krom1    0.486         0            0.243           0
zkrm2    0.421         0            0.210           0
jecm1    0.461         0            0.231           0
jecm2    0.461         0            0.231           0
trav2    0.116         0            0               0          # ni vrednosti
trit2    0.401         0            0.200           0
stro2    0.159         0            0.079           0
zele1    0.302         0            0.150           0.302      #isti kot pri konv
sadj1    0.159         0            0.079           0
groz1    0.149         0            0.074           0
;

table vredN(i,k) letni odvzem dusika (t na ha)

         konv          ekol         ohra            rast
psen1    0.119         0.009        0.064           0
psen2    0.119         0.009        0.064           0
koru1    0.116         0.009        0.062           0
koru2    0.116         0.009        0.062           0
krom1    0.090         0.013        0.051           0
zkrm2    0.121         0.054        0.088           0
jecm1    0.079         0.006        0.043           0
jecm2    0.079         0.006        0.043           0
trav2    0.124         0.106        0.115           0
trit2    0.069         0.005        0.037           0
stro2    0.087         0.062        0.075           0
zele1    0.048         0            0.024           0.048        #isto kot pri konv
sadj1    0.055         0.030        0.042           0
groz1    0.024         0            0.012           0
;

parameter N(j) letna kolicina izlocenega dusika na kg pridelka (kg N na kg pridelka)   ;
N('gov') =0.409;
N('svin')=0.110;
N('pisc')=0.036;
N('drob')=0.941;
N('mleko')=0.016;
N('jajce')=0.03;

parameter kcal (p) kaloricna vrednost makronutrientov (kcal na g makronutrienta) ;
kcal('protein')=4;
kcal('carb')=4;
kcal('fat')=9;
kcal('alc')=7;

table nutrirastl(rastl,p) kilogram makronutrienta na kilogram rastlinske hrane
         protein       carb         fat             alc
psen1    0.0813        0.5614       0.0074          0
koru1    0.0559        0.5312       0.0280          0
jecm1    0.0752        0.5640       0.0150          0
krom1    0.0200        0.1700       0.0001          0
zele1    0.0100        0.0400       0               0
sadj1    0             0.1400       0               0
groz1    0             0.0259       0               0.1020
;

table nutriziv(j,p) kilogram makronutrienta na kilogram zivalske hrane
         protein       carb         fat             alc
gov      0.190         0            0.170           0
svin     0.170         0            0.200           0
pisc     0.220         0            0.07            0
drob     0.200         0            0.08            0
mleko    0.031         0.017        0.040           0
jajce    0.130         0.010        0.100           0
;

table odpr(rastl,s) kilogram odpadne in zavrzene hrane na kilogram rastlinske hrane
         pip           dit          gis             gosp
psen1    0.0079        0.0156       0.0399          0.0483
koru1    0.0079        0.0156       0.0399          0.0483
jecm1    0.0079        0.0156       0.0399          0.0483
krom1    0.0327        0.0127       0.0469          0.0893
zele1    0.0091        0.0084       0.0404          0.0745
sadj1    0.0039        0.0021       0.0113          0.0230
groz1    0.0039        0.0006       0.0031          0.0063
;

table odpm(j,s) kilogram odpadne in zavrzene hrane na kilogram zivalske hrane
         pip           dit          gis             gosp
gov      0.0086        0.0202       0.0399          0.0570
svin     0.0086        0.0202       0.0399          0.0570
pisc     0.0086        0.0202       0.0399          0.0570
drob     0.0086        0.0202       0.0399          0.0570
mleko    0.0007        0.0015       0.0058          0.0134
jajce    0.0018        0.0096       0.0567          0.0691
;

parameter uzit(s) delez uzitne odpadne hrane po stopnjah prehranske verige;
uzit('pip')=0.50;
uzit('dit')=0.65;
uzit('gis')=0.48;
uzit('gosp')=0.33;

scalar
prihodki0 ekonomski prihodki sedaj /1567977438/,
odhodki0 ekonomski odhodki sedaj /1548143191/,
emisija0 emisije TPG sedaj /1493925/,
SSljudje0 samooskrba za ljudi sedaj /0.850/,
kol_um_gnoj0 kolicina umetnih gnojil sedaj /118653/,
kcal_danproiz0 kolicina proizvedenih kilokalorij sedaj /1716.94/,
ozhran_skup_preb0 odpadna hrana sedaj /60.6888351/;



positive variables A(i,k) povrsine za pridelavo rastlinske hrane in krme ha
                   proizvr(i,k) proizvodnja rastlinske hrane in krme t na a
                   uvozr(i) uvoz rastlinske hrane in krme t na a
                   izvozr(i) izvoz rastlinske hrane in krme t na a
                   uvozm(j)  uvoz mesa mleka jajc t na a
                   izvozm(j) izvoz mesa mleka jajc t na a
                   NZ(j,m) stevilo zivali  mlekaric in kokosi
                   domprireja(j) domaca prireja meso mleka jajc t na a
                   vsepridmeso(j) zakol domacih in uvozenih zivali
                   potrosr(i) letna potrosnja rastlinske hrane za ljudi in zivali t na a
                   domporaba(j) letna potrosnja mesa mleka jajc t na a
                   nutri_danproiz(p) kolicina proizvedenih makrohranil na prebivalca na dan
                   nutri_danpotros(p) kolicina porabljenih makrohranil na prebivalca na dan
                   ozhranr(rastl) kolicina odpadne in zavrzene hrane rastlinskega izvora
                   ozhranm(j) kolicina odpadne in zavrzene hrane zivalskega izvora
                   ozhranr_uzit(rastl) kolicina uzitne odpadne in zavrzene hrane rastlinskega izvora
                   ozhranm_uzit(j) kolicina uzitne odpadne in zavrzene hrane zivalskega izvora
;

binary variables yuvozr(i), yizvozr(i), yuvozm(j), yizvozm(j), yNZuvoz(j), yNZizvoz(j);
SCALAR MBIG /1e8/;


variable Z proizvodnja v t na a
         emisija emisija TGP v t na a
         dodvred ekonomika
         prihodki prihodki dodana vrednost
         odhodki odhodki dodana vrednost
         dusik   letna bilanca dusika v t
         SSljudje stopnja samooskrbe za ljudi
         multinorm
         multinorm_novo
         kcal_danproiz  kolicina proizvedenih kilokalorij na prebivalca na dan
         kcal_danpotros kolicina porabljenih kilokalorij na prebivalca na dan
         nutri vsota proizvedenih makrohranil
         ozhran_skup skupna kolicina odpadne hrane
         ozhran_skup_uzit skupna kolicina uzitne odpadne hrane
         ozhran_skup_preb kolicina odpadne hrane na prebivalca
         kol_um_gnoj skupna letna poraba umetnih gnojil t na  a
;

EQUATions e1,e2,e3,e4,e5,e5a,e6,e7,e8a,e8b,e8,e9,e10,e11,e12,e13,e14,e15,e19,e20,e21,e22,e23,e24,e25,e26,e27,e28,e28a,e29,e29a,e30,e30a,e31,eobj,multi_n;
EQUATions logi1,logi2,logi3,logi4,logi5,logi6,logi7,logi8,logi9,logi10,logi11;
*EQUATions e17,e18,e18a,e18b,e18c,e18d,e18e,e18f,e18g,e18h;


e1..             sum((i,k), A(i,k)) =l= ATOT;
e2(i,k)..        proizvr(i,k) =e= A(i,k)*don(i,k);
e3(i)..          sum(k,proizvr(i,k)) + uvozr(i) =e= potrosr(i) + izvozr(i) + sum(rastl,odpr(rastl,'pip'))*sum(k,proizvr(i,k));
e4(rastz)..      potrosr(rastz) =e= sum(j, domprireja(j)*konvfakt(rastz,j));
e5a(j)..         vsepridmeso(j) =e= NZ(j,'zakol')*trup(j,'zakol');
e5(j)..          domprireja(j) + NZ(j,'uvoz')*trup(j,'uvoz') =e= vsepridmeso(j) + NZ(j,'izvoz')*trup(j,'izvoz') +
                                 odpm(j,'pip')*(NZ(j,'zakol')*trup(j,'zakol')+NZ(j,'izvoz')*trup(j,'izvoz')-NZ(j,'uvoz')*trup(j,'uvoz'));
e6(j)..          domporaba(j) =e= vsepridmeso(j) + uvozm(j) - izvozm(j);
e7..             emisija =e= sum((i,k), proizvr(i,k)*TGPr(i,k))+sum(j,domprireja(j)*TGPm(j));
e8a..            prihodki =e= sum(rastl, potrosr(rastl)*ekonr(rastl,'cenaSLO')) + sum(j, domporaba(j)*ekonm(j,'cenaSLO')) + sum(rastl, izvozr(rastl)*ekonr(rastl,'cenaEU')) + sum(j, (NZ(j,'izvoz')*trup(j,'izvoz') + izvozm(j))*ekonm(j,'cenaEU'));
e8b..            odhodki =e= sum((rastl,k), proizvr(rastl,k)*ekonr(rastl,'strosek')) + sum(j,domprireja(j)*ekonm(j,'strosek')) + sum(rastl, uvozr(rastl)*0.8*ekonr(rastl,'cenaEU'))  + sum(j, (NZ(j,'uvoz')*trup(j,'uvoz') + uvozm(j))*0.8*ekonm(j,'cenaEU'));
e8..             dodvred =e= sum(rastl, potrosr(rastl)*ekonr(rastl,'cenaSLO')) - sum((rastl,k), proizvr(rastl,k)*ekonr(rastl,'strosek'))+
                         sum(j, domporaba(j)*ekonm(j,'cenaSLO')) - sum(j,domprireja(j)*ekonm(j,'strosek')) +
                         sum(rastl, izvozr(rastl)*ekonr(rastl,'cenaEU')) + sum(j, (NZ(j,'izvoz')*trup(j,'izvoz') + izvozm(j))*ekonm(j,'cenaEU')) -
                         sum(rastl, uvozr(rastl)*0.8*ekonr(rastl,'cenaEU'))  - sum(j, (NZ(j,'uvoz')*trup(j,'uvoz') + uvozm(j))*0.8*ekonm(j,'cenaEU'));
e9..             kol_um_gnoj =e= sum((i,k),A(i,k)*uporgnoj(i,k));
e10..            dusik =e= sum(j, domprireja(j)*N(j)) + kol_um_gnoj*Nmineral - sum((i,k),A(i,k)*vredN(i,k));
e11(j)..         NZ(j,'izvoz')*trup(j,'izvoz') + izvozm(j) =l= faktoriz*vsepridmeso(j);
e12(j)..         NZ(j,'uvoz')*trup(j,'uvoz') + uvozm(j)   =l= faktoruv*vsepridmeso(j);
e13(i)..         izvozr(i) =l=  faktoriz*sum(k,proizvr(i,k));
e14(i)..         uvozr(i)  =l=  faktoruv*sum(k,proizvr(i,k));
e15..            SSljudje * (sum(rastl,Npreb*porabar(rastl))/1000 + sum(j,Npreb*porabam(j))/1000) =e=
                        sum((rastl,k), proizvr(rastl,k))+  sum(j, domprireja(j));
*e16..           sum(i, A(i,'ekol')) =g= 0.25* ATOT;
*e16..            sum(i, A(i,'rast')) =l= 200;

*e18..           sum(i, A(i,'ohra')) =e= 0;
e19..            NZ('gov','uvoz')=l=0.25*NZ('gov','zakol');
e20..            NZ('svin','uvoz')=l=0.25*NZ('svin','zakol');
e21..            NZ('pisc','uvoz')=l=0.65*NZ('pisc','zakol');
e22..            sum(k, A('trav2',k)) =g= 0.75*277529;
*e22..           sum(k, A('trav2',k) + A('sadj1',k)) =g= 0.9*(246131+31624+9761+1003);
e23(p)..         nutri_danproiz(p) =e= (sum((rastl,k), nutrirastl(rastl,p)*proizvr(rastl,k))+sum(j, nutriziv(j,p)*domprireja(j)))*1000000/(365.25*Npreb);
e24(p)..         nutri_danpotros(p) =e= (sum(rastl, nutrirastl(rastl,p)*potrosr(rastl))+sum(j, nutriziv(j,p)*domporaba(j)))*1000000/(365.25*Npreb);
e25..            kcal_danproiz =e= sum(p, nutri_danproiz(p)*kcal(p));
e26..            kcal_danpotros =e= sum(p, nutri_danpotros(p)*kcal(p));
e27..            nutri =e= sum(p,nutri_danproiz(p));
e28(rastl)..     ozhranr(rastl) =e= (sum(k,proizvr(rastl,k)*odpr(rastl,'pip'))+potrosr(rastl)*odpr(rastl,'dit')+potrosr(rastl)*odpr(rastl,'gis')+potrosr(rastl)*odpr(rastl,'gosp'));
e28a(rastl)..    ozhranr_uzit(rastl) =e= (sum(k,proizvr(rastl,k)*odpr(rastl,'pip'))*uzit('pip')+potrosr(rastl)*odpr(rastl,'dit')*uzit('dit')+potrosr(rastl)*odpr(rastl,'gis')*uzit('gis')+potrosr(rastl)*odpr(rastl,'gosp')*uzit('gosp'));
e29(j)..         ozhranm(j)=e= (domprireja(j)*odpm(j,'pip')+domporaba(j)*odpm(j,'dit')+domporaba(j)*odpm(j,'gis')+domporaba(j)*odpm(j,'gosp'));
e29a(j)..        ozhranm_uzit(j)=e= (domprireja(j)*odpm(j,'pip')*uzit('pip')+domporaba(j)*odpm(j,'dit')*uzit('dit')+domporaba(j)*odpm(j,'gis')*uzit('gis')+domporaba(j)*odpm(j,'gosp')*uzit('gosp'));
e30..            ozhran_skup =e= sum(rastl,ozhranr(rastl))+sum(j,ozhranm(j));
e30a..           ozhran_skup_uzit =e= sum(rastl,ozhranr_uzit(rastl))+sum(j,ozhranm_uzit(j));
e31..            ozhran_skup_preb =e= ozhran_skup*1000/Npreb;

logi1(i).. uvozr(i) =l= MBIG*yuvozr(i);
logi2(i).. izvozr(i) =l= MBIG*yizvozr(i);
logi3(j).. uvozm(j) =l= MBIG*yuvozm(j);
logi4(j).. izvozm(j) =l= MBIG*yizvozm(j);
logi5(j).. NZ(j,'uvoz') =l= MBIG*yNZuvoz(j);
logi6(j).. NZ(j,'izvoz') =l= MBIG*yNZizvoz(j);
logi7(i).. yuvozr(i) + yizvozr(i) =l= 2;
logi8(j).. yuvozm(j) + yizvozm(j) =l= 2;
logi9(j).. yNZuvoz(j) + yNZizvoz(j) =l= 2;
logi10(j).. yuvozm(j) + yNZizvoz(j) =l= 2;
logi11(j).. yNZuvoz(j) + yizvozm(j) =l= 2;

*multi..  multinorm =e= dodvred/443720918 - emisija/1463258 + SSljudje/0.809 - dusik/1543;
*multi..  multinorm =e= prihodki/prihodki0 - odhodki/odhodki0 - emisija/emisija0 + SSljudje/SSljudje0 - kol_um_gnoj/kol_um_gnoj0 + kcal_danproiz/kcal_danproiz0;
multi_n..  multinorm_novo =e= (prihodki-prihodki0)/prihodki0 - (odhodki-odhodki0)/odhodki0 - (emisija-emisija0)/emisija0 + (SSljudje-SSljudje0)/SSljudje0 -
                 (kol_um_gnoj-kol_um_gnoj0)/kol_um_gnoj0 + (kcal_danproiz-kcal_danproiz0)/kcal_danproiz0-(ozhran_skup_preb-ozhran_skup_preb0)/ozhran_skup_preb0;

eobj..        z =e=   sum(j, domprireja(j) ) + sum((i,k), proizvr(i,k))  ;
*eobj..        z =e=   (kcal_danproiz-kcal_danpotros);
*eobj..        z =e=   sum(p,nutri_danproiz(p)-nutri_danpotros(p));
*eobj..        z =e=   (nutri_danproiz('protein')+nutri_danproiz('carb')-nutri_danproiz('fat')-nutri_danproiz('alc'));

*povrsina in izvoz trave se neujemata
izvozr.fx('trav2')=0;
*uvozr.fx('trav2')=0;
izvozr.fx('zkrm2')=0;
*izvozr.fx(i)=0;
*izvozm.fx(j)=0;

*letna potrosnja rastlinske hrane za ljudi je fiksirana
potrosr.fx(rastl)=Npreb*porabar(rastl)/1000;

* letna potrosnja mesa za ljudi je fiksirana
domporaba.fx(j)=Npreb*porabam(j)/1000;

NZ.l('gov','zakol')=114925;
NZ.l('svin','zakol')=321955;
NZ.l('pisc','zakol')=36709051;
NZ.l('drob','zakol')=121046;
NZ.l('mleko','zakol')=106816;
NZ.l('jajce','zakol')=1662167;

NZ.fx('drob','uvoz')=0;
NZ.fx('mleko','uvoz')=0;
NZ.fx('jajce','uvoz')=0;
NZ.fx('drob','izvoz')=0;
NZ.fx('mleko','izvoz')=0;
NZ.fx('jajce','izvoz')=0;

* to vklopi za max dod vrednost
*A.fx(i,'ekol')=0;

A.fx('psen1','rast')=0;
A.fx('koru1','rast')=0;
A.fx('krom1','rast')=0;
A.fx('psen2','rast')=0;
A.fx('koru2','rast')=0;
A.fx('zkrm2','rast')=0;
A.fx('jecm1','rast')=0;
A.fx('jecm2','rast')=0;
A.fx('trav2','ekol')=35445; #ekoloski travniki so fiksirani
A.fx('trav2','ohra')=0;
A.fx('trav2','rast')=0;
A.fx('trit2','rast')=0;
A.fx('stro2','rast')=0;
A.fx('sadj1','rast')=0;
A.fx('groz1','rast')=0;

*kol_um_gnoj.up=88778*0.8;       STARO
*kol_um_gnoj.up=118653*0.8;
dusik.lo=0;

model CRP1 /all/;


solve CRP1 using MIP maximizing Z;
*solve CRP1 using MIP minimizing Z;
*multinorm_novo.lo=1.40;
*solve CRP1 using MIP maximizing multinorm_novo;
*solve CRP1 using MIP minimizing emisija;
*solve CRP1 using MIP minimizing kol_um_gnoj;
*solve CRP1 using MIP maximizing dodvred;
*SSljudje.lo=1.157;
*solve CRP1 using MIP maximizing SSljudje;
*solve CRP1 using MIP maximizing kcal_danproiz;
*nutri.lo=560
*ozhran_skup.up=138470;
*solve CRP1 using MIP minimizing ozhran_skup_preb;
*solve CRP1 using MIP maximizing nutri;
*solve CRP1 using MIP minimizing dusik;


* proizvodnja hrane
parameter proizvzita,proizvzelen,proizvkromp,proizvgroz,proizvsad,proizvmeso,proizvmleko,proizvjajca,skupajrasthrana,skupajzivhrana,vsahrana,hranainkrma;
proizvzita=sum(k, proizvr.l('psen1',k)+proizvr.l('psen2',k)+proizvr.l('koru1',k)+proizvr.l('koru2',k)+proizvr.l('jecm1',k)+proizvr.l('jecm2',k)+
                  proizvr.l('trit2',k));
proizvzelen = sum(k, proizvr.l('zele1',k));
proizvkromp = sum(k, proizvr.l('krom1',k)) ;
proizvgroz = sum(k, proizvr.l('groz1',k)) ;
proizvsad = sum(k, proizvr.l('sadj1',k));
proizvmeso = (domprireja.l('gov')+domprireja.l('svin')+domprireja.l('pisc')+domprireja.l('drob'));
proizvmleko = domprireja.l('mleko');
proizvjajca = domprireja.l('jajce');
skupajrasthrana = proizvzita+proizvzelen+proizvkromp+proizvgroz+proizvsad+sum(k,proizvr.l('stro2',k));
skupajzivhrana = proizvmeso+proizvmleko+proizvjajca;
vsahrana= skupajrasthrana+skupajzivhrana;
hranainkrma=vsahrana+  sum(k, proizvr.l('zkrm2',k))  +sum(k, proizvr.l('trav2',k));
* stopnje samooskrbe
parameter SOzita,SOzelen,SOkromp,SOgroz,SOsadje,SOmleko,SOjajca,SOgov,SOsvin,SOpisc,SOdrob,SOvsemeso,SOljudjevse;
SOzita =  100*proizvzita/(potrosr.l('psen1')+potrosr.l('psen2')+potrosr.l('koru1')+potrosr.l('koru2')+potrosr.l('jecm1')+potrosr.l('jecm2')+potrosr.l('trit2'));
SOzelen = 100*proizvzelen/potrosr.l('zele1');
SOkromp = 100*proizvkromp/potrosr.l('krom1');
SOgroz =  100*proizvgroz/potrosr.l('groz1');
SOsadje = 100*proizvsad/potrosr.l('sadj1');
SOmleko = 100*proizvmleko/domporaba.l('mleko');
SOjajca = 100*proizvjajca/domporaba.l('jajce');
SOgov =   100*domprireja.l('gov')/domporaba.l('gov');
SOsvin =  100*domprireja.l('svin')/domporaba.l('svin');
SOpisc =  100*domprireja.l('pisc')/domporaba.l('pisc');
SOdrob =  100*domprireja.l('drob')/domporaba.l('drob');
SOvsemeso = 100*proizvmeso/(domporaba.l('gov')+domporaba.l('svin')+domporaba.l('pisc')+domporaba.l('drob'));
SOljudjevse = 100*(sum((rastl,k), proizvr.l(rastl,k))+ sum(j, domprireja.l(j)))/(sum(rastl, potrosr.l(rastl))+sum(j, domporaba.l(j)));

*stevilo glav zivali
parameter NZmolz, NZnesn,NZgov,NZsvin,NZperut;
NZmolz=NZ.l('mleko','zakol');
NZnesn=NZ.l('jajce','zakol');
NZgov= NZ.l('gov','zakol');
NZsvin= NZ.l('svin','zakol');
NZperut= NZ.l('pisc','zakol');

* povrsine
parameter Akonv,Aekol,Aohra,Arast,A_ljudje,A_zivali;
Akonv = sum(i, A.l(i,'konv'));
Aekol = sum(i, A.l(i,'ekol'));
Aohra = sum(i, A.l(i,'ohra'));
Arast = sum(i, A.l(i,'rast'));
A_ljudje= sum((rastl,k), A.l(rastl,k));
A_zivali= sum((rastz,k), A.l(rastz,k));

* uvoz, izvoz
parameter uvozvse,izvozvse;
uvozvse=sum(j, NZ.l(j,'uvoz')*trup(j,'uvoz')  + uvozm.l(j))+sum(rastui,uvozr.l(rastui));
izvozvse=sum(j, NZ.l(j,'izvoz')*trup(j,'izvoz')  + izvozm.l(j))+sum(rastui,izvozr.l(rastui));



FILE CRPrezultarg /CRPrezultarg.txt/;

put CRPrezultarg/;


put proizvzita:10:0 /;
put proizvzelen:10:0 /;
put proizvkromp:10:0 /;
put proizvsad:10:0 /;
put proizvgroz:10:0 /;
put proizvmeso:10:0 /;
put proizvmleko:10:0 /;
put proizvjajca:10:0 /;
put skupajrasthrana:10:0  /;
put skupajzivhrana:10:0 /;
put vsahrana:10:0/;
put hranainkrma:10:0/;

put SOzita:7:2 /;
put SOkromp:7:2 /;
put SOzelen:7:2 /;
put SOsadje:7:2 /;
put SOgroz:7:2 /;
put SOmleko:7:2 /;
put SOjajca:7:2 /;
put SOgov:7:2 /;
put SOsvin:7:2 /;
put SOpisc:7:2 /;
put SOdrob:7:2 /;
put SOvsemeso:7:2 /;
put SOljudjevse:7:2/;

put NZmolz:10:0 /;
put NZnesn:10:0/;
put NZgov:10:0/;
put NZsvin:10:0/;
put NZperut:10:0/;

put Akonv:6:0/;
put Aekol:6:0/;
put Aohra:6:0/;
put Arast:6:0/;
put A_ljudje:6:0/;
put A_zivali:6:0/;


put uvozvse:7:0/;
put izvozvse:7:0/;


put dodvred.l:10:0 /;
put emisija.l:10:0/;
put dusik.l:10:0/;
put kol_um_gnoj.l:10:0/;
put multinorm_novo.l:7:3/;

put faktoruv:7:3/;
put faktoriz:7:3/;

put kcal_danproiz.l:7:1/;



**************************POVRINE*****************************
parameters Azitakonv, Azitaekol, Azitaohra, Azitavse;
Azitakonv= A.l('psen1','konv')+ A.l('psen2','konv')+A.l('koru1','konv')+ A.l('koru2','konv')+A.l('jecm1','konv')+ A.l('jecm2','konv')+ A.l('trit2','konv');
Azitaekol= A.l('psen1','ekol')+ A.l('psen2','ekol')+A.l('koru1','ekol')+ A.l('koru2','ekol')+A.l('jecm1','ekol')+ A.l('jecm2','ekol')+ A.l('trit2','ekol');
Azitaohra= A.l('psen1','ohra')+ A.l('psen2','ohra')+A.l('koru1','ohra')+ A.l('koru2','ohra')+A.l('jecm1','ohra')+ A.l('jecm2','ohra')+ A.l('trit2','ohra');
Azitavse= Azitakonv+Azitaekol+Azitaohra;

parameters Apsenkonv,Apsenekol,Apsenohra,Akorukonv,Akoruekol,Akoruohra,Apsenvse,Akoruvse;
Apsenkonv=A.l('psen1','konv')+ A.l('psen2','konv');
Apsenekol=A.l('psen1','ekol')+ A.l('psen2','ekol');
Apsenohra=A.l('psen1','ohra')+ A.l('psen2','ohra');
Akorukonv=A.l('koru1','konv')+ A.l('koru2','konv');
Akoruekol=A.l('koru1','ekol')+ A.l('koru2','ekol');
Akoruohra=A.l('koru1','ohra')+ A.l('koru2','ohra');
Apsenvse=Apsenkonv+Apsenekol+Apsenohra;
Akoruvse=Akorukonv+Akoruekol+Akoruohra;

parameters Azelekonv, Azeleekol, Azeleohra, Azelerast, Azelevse;
Azelekonv=A.l('zele1','konv');
Azeleekol=A.l('zele1','ekol');
Azeleohra=A.l('zele1','ohra');
Azelerast=A.l('zele1','rast');
Azelevse=Azelekonv+Azeleekol+Azeleohra+Azelerast;

parameters Akromkonv, Akromekol, Akromohra, Akromvse;
Akromkonv=A.l('krom1','konv');
Akromekol=A.l('krom1','ekol');
Akromohra=A.l('krom1','ohra');
Akromvse=Akromkonv+Akromekol+Akromohra;

parameters Asadjkonv, Asadjekol, Asadjohra, Asadjvse;
Asadjkonv=A.l('sadj1','konv');
Asadjekol=A.l('sadj1','ekol');
Asadjohra=A.l('sadj1','ohra');
Asadjvse=Asadjkonv+Asadjekol+Asadjohra;

parameters Agrozkonv, Agrozekol, Agrozohra, Agrozvse;
Agrozkonv=A.l('groz1','konv');
Agrozekol=A.l('groz1','ekol');
Agrozohra=A.l('groz1','ohra');
Agrozvse=Agrozkonv+Agrozekol+Agrozohra;

parameters Azkrmkonv, Azkrmekol, Azkrmohra, Azkrmvse;
Azkrmkonv=A.l('zkrm2','konv');
Azkrmekol=A.l('zkrm2','ekol');
Azkrmohra=A.l('zkrm2','ohra');
Azkrmvse=Azkrmkonv+Azkrmekol+Azkrmohra;

parameters Atravkonv, Atravekol, Atravohra, Atravvse;
Atravkonv=A.l('trav2','konv');
Atravekol=A.l('trav2','ekol');
Atravohra=A.l('trav2','ohra');
Atravvse=Atravkonv+Atravekol+Atravohra;

parameters Astrokonv, Astroekol, Astroohra, Astrovse;
Astrokonv=A.l('stro2','konv');
Astroekol=A.l('stro2','ekol');
Astroohra=A.l('stro2','ohra');
Astrovse=Astrokonv+Astroekol+Astroohra;


parameter kontrolaA;
kontrolaA= Azitavse+Azelevse+Akromvse+Asadjvse+Agrozvse+Azkrmvse+Atravvse+Astrovse;
display kontrolaA;



FILE CRPpovrsine /CRPpovrsine.txt/;
put CRPpovrsine/;

put Azitavse:6:0 /;
put Azitakonv:6:0 /;
put Azitaekol:6:0 /;
put Azitaohra:6:0 /;
put Apsenvse:6:0 /;
put Apsenkonv:6:0 /;
put Apsenekol:6:0 /;
put Apsenohra:6:0 /;
put Akoruvse:6:0 /;
put Akorukonv:6:0 /;
put Akoruekol:6:0 /;
put Akoruohra:6:0 /;
put Azelevse:6:0 /;
put Azelekonv:6:0 /;
put Azeleekol:6:0 /;
put Azeleohra:6:0 /;
put Azelerast:6:0 /;
put Akromvse:6:0 /;
put Akromkonv:6:0 /;
put Akromekol:6:0 /;
put Akromohra:6:0 /;
put Asadjvse:6:0 /;
put Asadjkonv:6:0 /;
put Asadjekol:6:0 /;
put Asadjohra:6:0 /;
put Agrozvse:6:0 /;
put Agrozkonv:6:0 /;
put Agrozekol:6:0 /;
put Agrozohra:6:0 /;
put Azkrmvse:6:0 /;
put Azkrmkonv:6:0 /;
put Azkrmekol:6:0 /;
put Azkrmohra:6:0 /;
put Atravvse:6:0 /;
put Atravkonv:6:0 /;
put Atravekol:6:0 /;
put Atravohra:6:0 /;
put Astrovse:6:0 /;
put Astrokonv:6:0 /;
put Astroekol:6:0 /;
put Astroohra:6:0 /;




display potrosr.l;


display SOzita,SOzelen,SOkromp,SOgroz,SOsadje,SOmleko,SOjajca,SOgov,SOsvin,SOpisc,SOdrob,SOvsemeso,SOljudjevse;
display uvozvse, izvozvse;
display ozhran_skup.l;


display uvozm.l,izvozm.l;
display uvozr.l,izvozr.l;
display NZ.l;


display Akonv,Aekol,Aohra,Arast,A_ljudje,A_zivali;
display hranainkrma;

parameter vserastline;
vserastline=sum((i,k),proizvr.l(i,k));
display vserastline;
